.toggle-switch
   
    display: flex;
    align-items: center;

    label
        margin: 0;
        width: 1.75rem;
        position: relative;

    label::before, label::after
        display: block;
        content: "";
        position: absolute;
        border-radius: .5rem;
        transition: .15s ease-in-out;

    label::before
        top: -.5rem;
        width: 1.75rem;
        height: 1rem;
        background-color: #fff;
        border: #adb5bd solid 1px;
        
    label::after
        top: calc(-.5rem + 2px);
        left: 2px;
        width: calc(1rem - 4px);
        height: calc(1rem - 4px);
        background-color: #adb5bd;
    
    input
        // Don't use display none to keep focus propertie
        // display: none;
        // opacity: 0;
        width: 0px;
        height: 0px;
        overflow: hidden;
        
        &:checked
            + label::before
                border-color: #f44336;
                background-color: #f44336;
            + label::after
                background-color: #fff;
                transform: translateX(.75rem)

        &:active + label::before
            background-color: #ffb3b3
            border-color: #ffb3b3

        &:focus + label::before
            box-shadow: 0 0 0 0.1rem rgba(255, 0, 0, 0.25);

        &:disabled + label::after
            width: calc(1.75rem - 4px);